<?php 
load_theme_textdomain('ar', get_template_directory() . '/langs');
$locale = get_locale();
$locale_file = get_template_directory() . "/langs/$locale.php";
if (is_readable($locale_file))
    require_once($locale_file);

if ( get_bloginfo('version') < '3.4' ) {
    if(function_exists('add_custom_background')) {
        add_custom_background('set_theme_background');
    }

    if(function_exists('add_custom_background')) {
    add_custom_background('set_theme_background');
 
    function set_theme_background() {
        $bgimage = get_background_image();
        $bgcolor = get_background_color();
 
        echo "<style type='text/css'>\n";
 
        if(!empty($bgimage)) {
            $background_styles = 'background-image: url(\'' . get_theme_mod('background_image', '') . '\');'
            . ' background-repeat: ' . get_theme_mod('background_repeat', 'repeat') . ';'
            . ' background-position: top ' . get_theme_mod('background_position_x', 'left') .  ';' . 'background-attachment: '. get_theme_mod('background_attachment', 'scroll');
            echo "body { ".$background_styles."); } \n";
        } 
        if(!empty($bgcolor)) {
            echo "body { background-color: #".$bgcolor."; }; \n";
        }
        if(empty($bgimage) && empty($bgcolor)) {
            echo "body { background: #E79233 url( " . get_template_directory_uri() . '/i/bg.png) repeat-x 0 0; }'." \n";
        }
        echo "</style>";
        }
    }
}
else {
    $cbg = array(
        'default-color' => 'E79233',
        'default-image' => get_template_directory_uri() . '/i/bg.png'
    );
    add_theme_support('custom-background', $cbg);
}

add_theme_support('post-formats', 
    array(
        'aside', 
        'link', 
        'gallery', 
        'status', 
        'quote', 
        'image'
    )
);
add_theme_support('automatic-feed-links');
add_theme_support('post-thumbnails');
add_editor_style();

if ( !isset( $content_width ) ) $content_width = 515;

// threaded comments
function oenology_enqueue_comment_reply() {
    if ( is_singular() && comments_open() && get_option(
        'thread_comments' ) ) {
            wp_enqueue_script('comment-reply');
            }
    }
add_action('wp_enqueue_scripts', 'oenology_enqueue_comment_reply');

// Custom menu support
function reg_nav_menus() {
    register_nav_menus (
        array (
            'Main'  => __('Main sidebar','ar'),
            'Secondary' => __('Secondary sidebar','ar'),
        )
    );
}
add_action('init','reg_nav_menus');

// widgets
// Header main manu
if(function_exists('register_sidebar'))
    register_sidebar(array(
        'name' => __('Header main menu','ar'),
        'description'   => __('The main custom menu in the header of the site, usually used to show Pages.','ar'),
        'before_title' => '',
        'after_title' => ''
));

// Language switcher
if(function_exists('register_sidebar'))
    register_sidebar(array(
        'name' => __('Header Language switcher','ar'),
        'description'   => __('Optional: a reserved place where to insert a menu for the language switcher in the header of the site.','ar'),
        'before_title' => '',
        'after_title' => '',
        'before_widget' => '',
        'after_widget' => '',
));

// Footer first widget
if(function_exists('register_sidebar'))
    register_sidebar(array(
        'name' => __('Footer first widget','ar'),
        'description'   => __('First widget section in the footer of the site.','ar'),
        'before_title' => '<h3>',
        'after_title' => '</h3>',
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget' => '</section>',
));

// Footer second widget
if(function_exists('register_sidebar'))
    register_sidebar(array(
        'name' => __('Footer second widget','ar'),
        'description'   => __('Second widget section in the footer of the site.','ar'),
        'before_title' => '<h3>',
        'after_title' => '</h3>',
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget' => '</section>',
));

// Footer third widget
if(function_exists('register_sidebar'))
    register_sidebar(array(
        'name' => __('Footer third widget','ar'),
        'description'   => __('Third widget section in the footer of the site.','ar'),
        'before_title' => '<h3>',
        'after_title' => '</h3>',
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget' => '</section>',
));

// Footer fourth widget
if(function_exists('register_sidebar'))
    register_sidebar(array(
        'name' => __('Footer fourth widget','ar'),
        'description'   => __('Fourth widget section in the footer of the site.','ar'),
        'before_title' => '<h3>',
        'after_title' => '</h3>',
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget' => '</section>',
));

// Footer fifth widget
if(function_exists('register_sidebar'))
    register_sidebar(array(
        'name' => __('Footer fifth widget','ar'),
        'description'   => __('Fifth widget section in the footer of the site.','ar'),
        'before_title' => '<h3>',
        'after_title' => '</h3>',
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget' => '</section>',
));

// Footer Sixth widget
if(function_exists('register_sidebar'))
    register_sidebar(array(
        'name' => __('Footer sixth widget','ar'),
        'description'   => __('Sixth widget section in the footer of the site.','ar'),
        'before_title' => '<h3>',
        'after_title' => '</h3>',
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
        'after_widget' => '</section>',
));

// Header image
define('HEADER_TEXTCOLOR', '000');
define('HEADER_IMAGE', '');
define('HEADER_IMAGE_WIDTH', apply_filters( 'ar_header_image_width', 1000 ));
define('HEADER_IMAGE_HEIGHT', apply_filters( 'ar_header_image_height', 288 ));
set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );
add_image_size('large-feature', HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );
add_image_size('small-feature', 500, 300);
add_theme_support('custom-header', array( 'random-default' => true ));
add_custom_image_header(
    'ar_header_style', 
    'ar_admin_header_style', 
    'ar_admin_header_image'
);

register_default_headers(
    array(
        'AR slider 01' => array(
            'url' => '%s/i/headers/ar-slider-01.jpg',
            'thumbnail_url' => '%s/i/headers/ar-slider-01.jpg',
            'description' => __( 'AR slider 01', 'ar' )
        ),
        'AR slider 02' => array(
            'url' => '%s/i/headers/ar-slider-02.jpg',
            'thumbnail_url' => '%s/i/headers/ar-slider-02.jpg',
            'description' => __('AR slider 02', 'ar')
        ),
        'AR slider 03' => array(
            'url' => '%s/i/headers/ar-slider-03.jpg',
            'thumbnail_url' => '%s/i/headers/ar-slider-03.jpg',
            'description' => __('AR slider 03', 'ar')
        )
    )
);

if (!function_exists('ar_header_style')) :
    function ar_header_style() {
        if ( HEADER_TEXTCOLOR == get_header_textcolor() )
            return; ?>
<style type="text/css">
<?php if ( 'blank' == get_header_textcolor()) : ?>
#site-title,
#site-description {
position: absolute !important;
clip: rect(1px 1px 1px 1px);
clip: rect(1px, 1px, 1px, 1px);
}
<?php else : ?>
#site-title a,
#site-description {
color: #<?php echo get_header_textcolor(); ?> !important;
}
<?php endif; ?>
</style>
<?php } endif;

if ( ! function_exists('ar_admin_header_style')) :
    function ar_admin_header_style() { ?>
<style type="text/css">
#headimg img {
max-width: 40em;
height: 20em;
width: 30%;
}
</style>
<?php } endif;
if (!function_exists('ar_admin_header_image')) :
    function ar_admin_header_image() { ?>
<div id="headimg">
<?php
if ( 'blank' == get_theme_mod( 'header_textcolor', HEADER_TEXTCOLOR ) || '' == get_theme_mod( 'header_textcolor', HEADER_TEXTCOLOR ) )
$style = ' style="display:none;"';
else $style = ' style="color:#' . get_theme_mod( 'header_textcolor', HEADER_TEXTCOLOR ) . ';"'; ?>
<h1><a id="name"<?php echo $style; ?> onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
<div id="desc"<?php echo $style; ?>><?php bloginfo( 'description' ); ?></div>
<?php $header_image = get_header_image();
if ( ! empty( $header_image ) ) : ?>
<img src="<?php echo esc_url( $header_image ); ?>" alt="">
<?php endif; ?>
</div>
<?php }
endif;

// Comment template
function ar_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
<li><article id="comment-<?php comment_ID(); ?>">
<div class="avatar"><?php echo get_avatar( $comment, $size='48', $default='<path_to_url>' ); ?></div>
<div class="meta">
<p><?php if ($comment->comment_author_url != "") : ?><cite class="commentauthor"><a class="url" rel="external nofollow" href="<?php comment_author_url(); ?>"><?php comment_author(); ?></a></cite>
<?php else : ?>
<cite class="commentauthor"><?php comment_author(); ?></cite>
<?php endif; ?>
<span><a href="#comment-<?php comment_ID(); ?>" title="<?php _e('Permalink for this comment', 'ar'); ?>"><time datetime="<?php comment_date('c'); ?>"><?php comment_date('F jS, Y');  _e(' at ' , 'ar'); comment_time(); ?></time></a></span>
<span class="edit"><?php edit_comment_link(__('Edit','ar')); ?></span></p>
</div>
<div class="comment-entry"><?php if ($comment->comment_approved == '0') : ?>
<p><?php _e('Your comment is awaiting moderation.', 'ar'); ?></p>
<?php endif;
comment_text(); ?>
</div>
<div class="reply">
<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
</div>
</article></li>
<?php }

function ar_pings($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment; ?>
    <li><article id="comment-<?php comment_ID(); ?>">
    <p class="meta"><cite class="commentauthor"><a class="url" rel="external nofollow" href="<?php comment_author_url(); ?>"><?php comment_author(); ?></a></cite> <span><a href="#comment-<?php comment_ID(); ?>" title="<?php _e('Permalink for this comment: ', 'ar'); ?>"><time datetime="<?php comment_date('c'); ?>"> <?php comment_date('F jS, Y');  _e(' at ', 'ar'); comment_time(); ?></time></a></span> <span class="edit"><?php edit_comment_link(__('Edit ','ar')); ?></span></p>
    <div class="comment-entry">
        <?php if ($comment->comment_approved == '0') : ?>
            <p><?php _e('Your comment is awaiting moderation.', 'ar'); ?></p>
        <?php endif;
    comment_text(); ?>
    </div>
    </article></li>
<?php }

function the_slug() {
    global $post;
    $post_data = get_post($post->ID, ARRAY_A);
    $slug = $post_data['post_name'];
    return $slug;
}

function excerpt() {
    add_post_type_support('page','excerpt');
}
add_action('init', 'excerpt');

function excerpt_l($length) {
    return 30;
}
add_filter('excerpt_length', 'excerpt_l',999);

function ar_excerpt_link(){
    global $post;
    return '<p class="more"><a href=" '. esc_url(get_permalink($post->ID)) . ' ">' . __( 'Continue <span class="meta-nav">&rarr;</span>', 'ar' ) . '</a></p>';
}

function ar_auto_excerpt($more) {
    return ' &hellip;' . ar_excerpt_link();
}
add_filter('excerpt_more', 'ar_auto_excerpt');

if ( ! function_exists('ar_posted_on')) :
    function ar_posted_on() {
        printf (
            __( '<span class="sep">Posted on </span><a href="%1$s" title="%2$s" rel="bookmark"><time datetime="%3$s" pubdate>%4$s</time></a><span class="by-author"> <span class="sep"> by </span> <span class="author vcard"><a class="url fn n" href="%5$s" title="%6$s" rel="author">%7$s</a></span></span>', 'ar' ),
            esc_url( get_permalink() ),
            esc_attr( get_the_time() ),
            esc_attr( get_the_date('c') ),
            esc_html( get_the_date() ),
            esc_url( get_author_posts_url( get_the_author_meta('ID') ) ),
            esc_attr( sprintf( __( 'View all posts by %s', 'ar' ), get_the_author() ) ),
            get_the_author()
        );
    }
endif;