<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="utf-8">
<title><?php if ( function_exists('is_tag') && is_tag() ) {
	single_tag_title( __('Tag Archive for &quot;' , 'ar') ); echo '&quot; - ';
} elseif (is_archive()) {
	wp_title(''); _e(' Archive: ' , 'ar');
} elseif (is_search()) {
	_e('Search for &quot;', 'ar');
	echo esc_html($s) . '&quot; - ';
} elseif (!(is_404()) && (is_single()) || (is_page())) {
	wp_title(''); echo ' - ';
} elseif (is_404()) {
	_e('Not found - ', 'ar');
}
if (is_home()) {
	bloginfo('name'); echo ' - '; bloginfo('description');
} else {
	bloginfo('name');
}
if ($paged > 1) {
	_e(' - page ', 'ar');
	echo $paged;
} ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" media="screen" href="<?php echo get_stylesheet_directory_uri(); ?>/style.css">
<link rel="stylesheet" type="text/css" media="handheld, only screen and (max-width: 840px)" href="<?php echo get_stylesheet_directory_uri(); ?>/screen840.css">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
<!--[if IE]> <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script> <![endif]-->
<link type="image/x-icon" href="<?php echo get_template_directory_uri(); ?>/favicon.ico">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="container">
<header class="header">
<hgroup>
<h1 id="site-title"><span><a href="<?php echo esc_url( home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>"><?php bloginfo('name'); ?></a></span></h1>
<h2 id="site-description"><?php bloginfo('description'); ?></h2>
<?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar(__('Header Language switcher','ar'))) : else : endif;
get_search_form();
wp_nav_menu(
    array(
        'theme_location' => 'Main',
        'container' => 'nav',
        'container_class' => '',
        'container_id' => '',
        'menu_class' => 'main',
        'menu_id' => '',
        'depth' => '1'
    )
); ?>
</hgroup>
</header>